### org.jfree.layouting.input.style.parser.stylehandler.positioning

# Class PositionReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.OneOfConstantsReadHandler`
  - - `org.jfree.layouting.input.style.parser.stylehandler.positioning.PositionReadHandler`

Implemented Interfaces:
  CSSValueReadHandler

`public class PositionReadHandler`
`extends OneOfConstantsReadHandler`

Creation-Date: 21.12.2005, 18:32:53

Author:
  Thomas Morgner

  ## Constructor Summary

  `PositionReadHandler()`

  ## Method Summary

  `CSSValue`

  `createValue(StyleKey name, LexicalUnit value)`

  ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.OneOfConstantsReadHandler

  `addValue`, `createValue`, `isAutoAllowed`, `lookupValue`

## Constructor Details

### PositionReadHandler

    public PositionReadHandler()

## Method Details

### createValue

    public CSSValue createValue(StyleKey name,
                                LexicalUnit value)

> Specified by:
>   createValue in interface CSSValueReadHandler
> Overrides:
>   createValue in interface OneOfConstantsReadHandler